Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ClientDataEncoderImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.ClientDataEncoderImpl

All Implemented Interfaces:
  ClientDataEncoder

    public class ClientDataEncoderImpl

extends java.lang.Object
implements ClientDataEncoder

Constructor Summary
`ClientDataEncoderImpl(URLEncoder urlEncoder, java.lang.String passphrase, org.slf4j.Logger logger, java.lang.String applicationPackageName, AlertManager alertManager)`

Method Summary
`ClientDataSink` | `createSink()` Creates a sink for client data.
`java.io.ObjectInputStream` | `decodeClientData(java.lang.String clientData)` Decodes data previously obtained from `ClientDataSink.getClientData()`.
`java.io.ObjectInputStream` | `decodeEncodedClientData(java.lang.String clientData)` Decodes client data obtained via `ClientDataSink.getEncodedClientData()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientDataEncoderImpl

    public ClientDataEncoderImpl(URLEncoder urlEncoder,
                                 @Symbol(value="tapestry.hmac-passphrase")
                                 java.lang.String passphrase,
                                 org.slf4j.Logger logger,
                                 @Symbol(value="tapestry.app-package")
                                 java.lang.String applicationPackageName,
                                 AlertManager alertManager)
                          throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

Method Detail

### createSink

    public ClientDataSink createSink()

  Description copied from interface: `ClientDataEncoder`
  Creates a sink for client data. The sink provides an output stream and ultimately, a string representation of the data sent to the stream.

  Specified by:
    `createSink` in interface `ClientDataEncoder`
  Returns:
    a new sink

### decodeClientData

    public java.io.ObjectInputStream decodeClientData(java.lang.String clientData)

  Description copied from interface: `ClientDataEncoder`
  Decodes data previously obtained from `ClientDataSink.getClientData()`.

  Specified by:
    `decodeClientData` in interface `ClientDataEncoder`
  Parameters:
    `clientData` - encoded client data
  Returns:
    stream of decoded data

### decodeEncodedClientData

    public java.io.ObjectInputStream decodeEncodedClientData(java.lang.String clientData)
                                                      throws java.io.IOException

  Description copied from interface: `ClientDataEncoder`
  Decodes client data obtained via `ClientDataSink.getEncodedClientData()`.

  Specified by:
    `decodeEncodedClientData` in interface `ClientDataEncoder`
  Parameters:
    `clientData` - URLEncoded client data
  Returns:
    stream of objects
  Throws:
    `java.io.IOException` - if the client data has been corrupted (verified via the HMAC)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.